Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.tunnel
Interface TunnelGateway.Receiver

All Known Implementing Classes:
  InboundGatewayReceiver, OutboundReceiver

Enclosing class:
  TunnelGateway

    public static interface TunnelGateway.Receiver

Method Summary
`long` | `receiveEncrypted(byte[] encrypted)` Take the encrypted data and send it off to the next hop

Method Detail

### receiveEncrypted

    long receiveEncrypted(byte[] encrypted)

  Take the encrypted data and send it off to the next hop

  Returns:
    message ID it was sent in, or -1 if it had to be deferred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD